karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Achim Nierbeck (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-3540) Bundle package conflicts with uninstalled bundles
Date Thu, 19 Feb 2015 12:04:11 GMT

    [ https://issues.apache.org/jira/browse/KARAF-3540?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14327326#comment-14327326
] 

Achim Nierbeck commented on KARAF-3540:
---------------------------------------

But the same message will also be shown by the framework for any kind of bundle that previously
had been installed and might not be there any longer but is still loaded. As long as a Bundle
(B) holds a reference to a class of another bundle (A), that bundle (A) will be kept in memory.
This is per OSGi spec a defined behavior and the message you receive is very clear about it's
issue, it's just something that needs to be understood and reacted on accordingly. 

> Bundle package conflicts with uninstalled bundles
> -------------------------------------------------
>
>                 Key: KARAF-3540
>                 URL: https://issues.apache.org/jira/browse/KARAF-3540
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-osgi
>            Reporter: Sergey 
>
> Karaf 3.0.3 reports about package conflicts for spring framework packages. One of conflicting
bundles is spring version 3.x, another one - 4.x. 
> Conflict exists even if I've ininstalled all spring 4.x bundles. 
> Conflicted spring 4.x bundles at the moment exists only in data/cache, not in bundle:list
command output.
> I can resolve this issue only after karaf restart. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message